<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

define('CPO', true);
require_once('../_include/common.inc.php');
require_once(CPO_BASEDIR.$activeModules['Tabellen']['directory'].'/includes/inc_table_functions.inc.php');

// Tabelle auslesen
	$query = "SELECT id, name, description, max_sort, multiple_rows, table_design, table_fields, table_values FROM ".$dbPrefix."_mod_tables WHERE id = '".$_REQUEST['get_table']."'";
    DEBUG(2, $query, __FILE__, __LINE__);  
    $db = new DB;
    $db->query($query);
    if ($db->num_rows()>0)  {
		while($db->next_record()):
		$table_id = $db->v('id');
		$table_name = $db->v('name');
		$table_description = $db->v('description');
		$max_sort_fields = $db->v('max_sort');
		$table_multiple_rows = $db->v('multiple_rows');
		$table_design = unserialize($db->v('table_design'));
		$table_fields = unserialize($db->v('table_fields'));
		$table_values = unserialize($db->v('table_values'));
		// Sortierung
		if (isset($_GET['tbl_sort']) && isset($_GET['tbl_order'])) $table_values = SortArray($table_values,$_GET['tbl_sort'],$_GET['tbl_order']);
		// Multi-Sortierung
		if (isset($_GET['multisort']) && $_GET['get_table'] == $table_id)  {
			$multisort = explode("-",$_GET['multisort']);
			$table_values = SortArray($table_values,$multisort);
		}
		$spalten = count($table_fields[0]);
		$args = '';
		if (isset($rubric))  $args .= "&rubric=" . $rubric;
		if (isset($nr))  $args .= "&nr=" . $nr;


        include(CPO_BASEDIR.$activeModules['Tabellen']['directory'].'/includes/inc_create_table.inc.php');


		endwhile;
	}
	echo utf8_encode($table_string);
