<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

$demo_fields = array (
	array ( "Name",		"Punktzahl",	"Wertung"	),		// Feldname
	array ( "Text",		"Zahl",			"Text"		),		// Felddatentyp
	array ( "center",	"center",		"center"	),		// Ausrichtung Header
	array ( 1,			1,				1			),		// Kein Umbruch
	array ( "left",		"right",		"left"		),		// Ausrichtung Felder
	array ( 1,			0,				0			),		// Kein Umbruch
	array ( '',			'%01.2f',		''			),		// Zahlenformat
	array ( 'num',		'avg',			''			)		// Aggregatfunktion
	);
$demo_table = array (
	array ( "Markus",	"10",	"gut"		),
	array ( "Hans",		"30",	"schlecht"	),
	array ( "Jochen",	"20",	"mittel"	),
	array ( "Tanja",	"11",	"ungengend")
	);
// Templates
$demo_design = array (
'table_main' => 
'<table border="1">
	<thead>
		<tr>
			<!--TABLE_HEAD-->
		</tr>
	</thead>
	<tbody>
		<!--TABLE_ROWS-->
		<!--TABLE_FUNC-->
	</tbody>
</table>
<b>Tabelle: <!--TABLE_DESCRIPTION--></b>
<br />',

'table_head' => 
'<th style="text-align: <!--TABLE_TH_ALIGN-->"><span style="font-weight: bold; text-align: <!--TABLE_TH_ALIGN-->"<!--TABLE_TH_WRAP-->><!--TABLE_TH_NAME--></span></th>',

'table_row' => 
'<tr>
	<!--TABLE_ROW-->
</tr>',

'table_data' => 
'<td style="text-align: <!--TABLE_TD_ALIGN-->"><span style="text-align: <!--TABLE_TD_ALIGN-->"><!--TABLE_DATA--></span></td>',
'table_func' => 
'<td style="text-align: <!--TABLE_TD_ALIGN-->"><span style="text-align: <!--TABLE_TD_ALIGN-->"><b><!--TABLE_DATA--></b></span></td>'
);

?>