<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

include('includes/actions.inc.php');


// Einlesen fr Tabelle
	$query = "SELECT id, name, table_fields, table_values FROM ".$dbPrefix."_mod_tables WHERE id = ".$_REQUEST['edit'];
    DEBUG(2, $query, __FILE__, __LINE__);  
    $db = new DB;
    $db->query($query);
    if ($db->num_rows()>0)  {
		$db->next_record();
		$table_fields = unserialize($db->v('table_fields'));
		$table_values = unserialize($db->v('table_values'));
		// Probe der Sortierung
		if (isset($sort) && isset($order)) $table_values = SortArray($table_values,$sort,$order);
		// Ende Probe
		$spalten = count($table_fields[0]);
		$name = $db->v('name');

		printPageHeader(
			__('Edit table values'),
			sprintf(__('In this view you can edit the values of the table <i>%s</i>.'),$name),
			__($help)
		);
	    require(CPO_BASEDIR."_include/message.php");

		echo '<p>';
		echo '<a href="'.BASE_REL.$activeModules['Tabellen']['directory'].'/edit.php?fields='.$_REQUEST['edit'].'" onclick="return confirm(\''.__('Do you really want to switch to the field definitions? Unsaved changes will be lost!').'\');">';
		echo '<img valign="middle" src="'.SKIN_URL.'pic_settings.gif" class="pic_" alt="'.__('define table').'" title="'.__('define table').'" /">'; 
		echo __('Switch to edit the field definitions').' </a></p><br /><br />';

		// table header {{{
        echo '<form name="tableEdit" action="edit.php" method="post">';
        echo '<table class="ruler">';
        echo '<input type="hidden" name="edit" value="'.$_REQUEST['edit'].'">';
        echo '<input type="hidden" name="go" value="1">';
        echo '<thead><tr>';
		// Feldnamen *************************************************************************************
		for ($f=0;$f<count($table_fields[0]);$f++)  {
			echo '<th style="text-align: '.$table_fields[2][$f].'"><span><input class="text" style="font-weight: bold; text-align: '.$table_fields[2][$f].'" type="text" name="new_table_fields['.$f.']" value="'.$table_fields[0][$f].'" size="'.strlen($table_fields[0][$f]).'">';
			echo "<br>";
			if ($f != 0)  {
				echo "<a href='edit.php?edit=".$_REQUEST['edit']."&left=".$f."'><img src='pics/sort_left.gif' border='0' title='".__('move left')."' alt='".__('move left')."'></a> ";
			} else {
				echo "<img src='../_skin/conpresso/sort_empty.gif' border='0'> ";
			}
			if ($sort == $f && $order == 'ASC')  {
				echo "<img src='../_skin/conpresso/sort_up2.gif' border='0'>";
			} else {
				echo "<a href='edit.php?edit=".$_REQUEST['edit']."&sort=".$f."&order=ASC'><img src='../_skin/conpresso/sort_up.gif' border='0' title='".__('ascending')."' alt='".__('ascending')."'></a>";
			}
			if ($sort == $f && $order == 'DESC')  {
				echo "<img src='../_skin/conpresso/sort_down2.gif' border='0'>";
			} else {
				echo "<a href='edit.php?edit=".$_REQUEST['edit']."&sort=".$f."&order=DESC'><img src='../_skin/conpresso/sort_down.gif' border='0' title='".__('descending')."'' alt='".__('descending')."'></a>";
			}
			if ($f+1 < count($table_fields[0]))  {
				echo " <a href='edit.php?edit=".$_REQUEST['edit']."&right=".$f."'><img src='pics/sort_right.gif' border='0' title='".__('move right')."' alt='".__('move right')."'></a>";
			} else {
				echo " <img src='../_skin/conpresso/sort_empty.gif' border='0'> ";
			}
			echo '</span></th>';
		}
		echo '<th></th></tr></thead><tbody>';
		for ($s=0;$s<$spalten;$s++)  {
			for ($f=0;$f<=count($table_values);$f++)  {
				$$s=max(strlen($table_values[$f][$s]),$$s);
			}
		}
		for ($f=0;$f<count($table_values);$f++)  {
			// Felddaten *********************************************************************************
			echo '<tr>';
			for ($s=0;$s<$spalten;$s++)  {
				echo '<td style="vertical-align: middle; text-align: '.$table_fields[4][$s].';">';
				$numerical = '';
				$value = $table_values[$f][$s];
				if ($table_fields[1][$s] == 'Zahl')  {
                    if (trim($table_fields[6][$s])=='') $table_fields[6][$s]=$activeModules['Tabellen']['default_number_format'];
					$numerical = "(".imp2dec(sprintf($table_fields[6][$s], (float) (dec2imp($table_values[$f][$s])))).")";
					$value = imp2dec($value);
				}
				if ($table_fields[1][$s] == 'Zeit')  {
					$value = date($table_fields[6][$s], (float) (dec2imp($value)));
					$$s = 6;
				}
				if ($table_fields[1][$s] == 'Datum')  {
					$value = date($table_fields[6][$s], (float) (dec2imp($value)));
					$$s = 8;
				}
				if ($numerical != '' && $table_fields[4][$s] == 'right')  echo $numerical . " ";
				$input = '<input class="text" style="text-align: '.$table_fields[4][$s].';" type="text" name="new_table_values['.$f.']['.$s.']" value="'.$value.'"size="'.$$s.'">';
				if ($table_fields[1][$s] == 'Ja/Nein')  {
					$checked = '';
					$bit = explode(";",$table_fields[6][$s]);
					if ($value == 1)  $checked = ' checked="checked"';
					$value = ($value) ? $bit[1] : $bit[0];
					$input = '<input type="checkbox" name="new_table_values['.$f.']['.$s.']" value="1"'.$checked.'>';
				}
				if ($table_fields[1][$s] == 'Liste')  {
					$checked = '';
					$list = explode(";",$table_fields[6][$s]);
					$input = '<select name="new_table_values['.$f.']['.$s.']">';
					for ($l=0;$l<count($list);$l++)  {
						$checked = ($value == $list[$l]) ? ' selected="selected"' : '';
						$input .= '<option value="'.$list[$l].'"'.$checked.'>'.$list[$l].'</option>';
					}
					$input .= '</select>';
				}
				if ($table_fields[1][$s] == 'Zeichen')  {
					$checked = '';
					$list = explode(";",$table_fields[6][$s]);
					$input = '<select name="new_table_values['.$f.']['.$s.']">';
					$signs = listfiles4signs('zeichen/'.$list[0]);
					sort($signs);
					for ($l=0;$l<count($signs);$l++)  {
						$checked = ($value == $signs[$l]) ? ' selected="selected"' : '';
						$option_text = ($signs[$l] == $list[1]) ? __('none') : $signs[$l];
						$input .= '<option value="'.$signs[$l].'"'.$checked.'>'.$option_text.'</option>';
					}
					$input .= '</select>';
				}
				if ($table_fields[1][$s] == 'Ampel')  {
					$checked = '';
					$list = explode(";",$table_fields[6][$s]);
					if ($value == '' || $value == __('new'))  $value = $list[1];	// der default-Wert
					$input = '<img src="ampel/'.$list[0].'/'.$value.'.gif" id="ampel_'.$f.'_'.$s.'">  ';
					$input .= '<input type="hidden" name="new_table_values['.$f.']['.$s.']" value="'.$value.'" id="ampval_'.$f.'_'.$s.'">';
					$lights = listfiles4signs('ampel/'.$list[0]);
					for ($l=1;$l<=count($lights);$l++)  {
						$input .= '<a href="javascript:void(0);" onClick="document.images.ampel_'.$f.'_'.$s.'.src=\'ampel/'.$list[0].'/'.$l.'.gif\';document.tableEdit.ampval_'.$f.'_'.$s.'.value=\''.$l.'\';">';
						$input .= '<img src="ampel/'.$list[0].'/'.$l.'.gif"></a>';
					}
				}
				echo $input;
				if ($numerical != '' && $table_fields[4][$s] != 'right')  echo " " . $numerical;
				echo "</td>";
			}
			echo '<td style="vertical-align: middle;">';
			// Lschen
				echo '<a href="' . BASE_REL . $activeModules['Tabellen']['directory'] . '/edit.php?edit=' . $_REQUEST['edit'] . '&kill_row=' . $f . '" onClick="return confirm(\''.__('Do you really want to delete this row and all its content?').'\')">';
				echo '<img src="' . SKIN_URL . 'pic_del.gif" class="pic_" alt="' . __('delete row') . '" title="' . __('delete row') . '" />'; 
				echo '</a>';
			echo '</td></tr>';
			$row++;
		}
		// Funktionen *********************************************************************************
			echo '<tr>';
			for ($s=0;$s<$spalten;$s++)  {
				echo '<td style="vertical-align: middle; text-align: '.$table_fields[4][$s].';"><b>';
				if($table_fields[7][$s] == 'sum')  {
					$sum = 0;
					for ($f=0;$f<count($table_values);$f++)  {
						$sum += $table_values[$f][$s];
					}
					echo imp2dec(sprintf($table_fields[6][$s], $sum));
				}
				if ($table_fields[7][$s] == 'num')  echo count($table_values);
				if($table_fields[7][$s] == 'avg')  {
					$sum = 0;
					for ($f=0;$f<count($table_values);$f++)  {
						$sum += $table_values[$f][$s];
					}
					echo imp2dec(sprintf($table_fields[6][$s], $sum / count($table_values)));
				}
				if($table_fields[7][$s] == 'max')  {
					for ($f=0;$f<count($table_values);$f++)  {
						$max_array[] = $table_values[$f][$s];
					}
					echo imp2dec(sprintf($table_fields[6][$s], max($max_array)));
				}
				if($table_fields[7][$s] == 'min')  {
					for ($f=0;$f<count($table_values);$f++)  {
						$min_array[] = $table_values[$f][$s];
					}
					echo imp2dec(sprintf($table_fields[6][$s], min($min_array)));
				}

				echo '</b><br />('.$table_fields[7][$s].')';


				echo '</td>';
			}
			echo '<td>';
			echo '</td>';
			echo '</tr>';
		// *************************************************************************************************
        echo '</tbody></table>';
        if (isset($sort) && isset($order)) echo __('This is only a temporary sorting. To save this click on "Save Table".');
		echo '<br /><br /><input type="submit" name="addrow" value="'.__('add row').'"> <input type="submit" name="savetable" value="'.__('save table').'"></form><br /><br />';
	}



?>

<form method="post" action="<?php echo $PHP_SELF; ?>" enctype="multipart/form-data">
<input type="hidden" name="import" value="1">
<input type="hidden" name="edit" value="<?php echo $_REQUEST['edit']; ?>">
<table class="colored" style="width: 100%;">
	<thead>
		<tr>
			<th colspan="2"><span><?php echo __('Upload table file'); ?></span></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td class="leftrow"><?php echo __('File to upload:'); ?> </td>
			<td class="rightrow"><input class="text inputwidth" type="file" name="upload_table"></td>
		</tr>
		<tr>
			<td><?php echo __('Field delimiter in csv files:'); ?></td>
			<td>
<?php
            echo '<select name="csv">';
			if ($activeModules['Tabellen']['csv']=='semicolon')	$semicolon_selected = ' selected="selected"'; 
			if ($activeModules['Tabellen']['csv']=='colon')		$colon_selected = ' selected="selected"'; 
			if ($activeModules['Tabellen']['csv']=='tab')		$tab_selected = ' selected="selected"'; 
			echo '<option value="semicolon" ' .	$semicolon_selected .	'>' . __('Semicolon') .	'</option>';
			echo '<option value="colon" ' .		$colon_selected .		'>' . __('Colon') .		'</option>';
			echo '<option value="tab" ' .		$tab_selected .			'>' . __('Tab') .		'</option>';
			echo '</select>';
?>
			</td>
		</tr>
		<tr>
			<td><?php echo __('Mode:'); ?></td>
			<td>
<?php
            echo '<select name="mode">';
			if ($_POST['mode']=='append')	$append_selected = ' selected="selected"'; 
			if ($_POST['mode']=='replace')		$replace_selected = ' selected="selected"'; 
			echo '<option value="append" ' .	$append_selected .	'>' . __('append') .	'</option>';
			echo '<option value="replace" ' .		$replace_selected .		'>' . __('replace') .		'</option>';
			echo '</select>';
?>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td><input type="submit" value="<?php echo __('upload'); ?>"/></td>
		</tr>
	</tbody>
</table>
</form>

