<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

if (!defined('CPO')) exit;

// mod_tables-Tabelle erzeugen
if ($table != 'new')  {
	$db = new DB;
	$query = "CREATE TABLE IF NOT EXISTS ".$dbPrefix."_mod_tables (
	  `id` int(11) NOT NULL auto_increment,
	  `name` varchar(50) NOT NULL default '',
	  `description` varchar(255) NOT NULL default '',
	  `max_sort` tinyint(3) unsigned NOT NULL default '0',
	  `multiple_rows` varchar(50) NOT NULL default '',
	  `table_design` text NOT NULL,
	  `table_fields` text NOT NULL,
	  `table_values` text NOT NULL,
	  `username` varchar(255) NOT NULL default '',
	  PRIMARY KEY  (`id`)
	) TYPE=MyISAM;";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db->query($query);
	$query = "CREATE TABLE IF NOT EXISTS ".$dbPrefix."_mod_table_presets ("
		."id int(11) unsigned NOT NULL auto_increment,"
		."name varchar(255) NOT NULL default '',"
		."settings text NOT NULL,"
		."PRIMARY KEY  (id)"
		.") TYPE=MyISAM;";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db->query($query); 

}

include(CPO_BASEDIR.$GLOBALS['modules']['Tabellen']['directory'].'/includes/inc_default_table.inc.php');
include(CPO_BASEDIR.$GLOBALS['modules']['Tabellen']['directory'].'/includes/inc_additional_tables.inc.php');

// Tabelle schreiben
$query = "INSERT INTO ".$dbPrefix."_mod_tables (id, name, description, max_sort, multiple_rows, table_design, table_fields, table_values, username) VALUES ('', '".__('Demo-Tabelle')." 1', '".__('Tabellen-Beschreibung bitte ndern')."', 3, 'single', '" . addslashes(serialize($demo_design)) . "', '" . addslashes(serialize($demo_fields)) . "', '" . addslashes(serialize($demo_table)) . "', '" . $_SESSION['SID_user']['name'] . "')";
$db->query($query);

// Tabelle schreiben
$query = "INSERT INTO ".$dbPrefix."_mod_tables (id, name, description, max_sort, multiple_rows, table_design, table_fields, table_values, username) VALUES ('', '".__('Demo-Tabelle')." 2', '".__('Tabellen-Beschreibung bitte ndern')."', 3, 'single', '" . addslashes(serialize($demo_design2)) . "', '" . addslashes(serialize($demo_fields2)) . "', '" . addslashes(serialize($demo_table2)) . "', '" . $_SESSION['SID_user']['name'] . "')";
$db->query($query);

include(CPO_BASEDIR.$GLOBALS['modules']['Tabellen']['directory'].'/includes/inc_default_table.inc.php');

// Tabelle schreiben
$query = "INSERT INTO ".$dbPrefix."_mod_tables (id, name, description, max_sort, multiple_rows, table_design, table_fields, table_values, username) VALUES ('', '".__('Demo-Tabelle')." 3', '".__('Tabellen-Beschreibung bitte ndern')."', 3, 'single', '" . addslashes(serialize($demo_design3)) . "', '" . addslashes(serialize($demo_fields3)) . "', '" . addslashes(serialize($demo_table3)) . "', '" . $_SESSION['SID_user']['name'] . "')";
$db->query($query);

if ($table != 'new')  {
	// Final messages
	$GLOBALS['message'][] = __('The tables-module was successfully installed!');
}
?>