<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

define('CPO', true);
require_once('../_include/common.inc.php');

$pagetype = 'index';
require_once(CPO_BASEDIR.'_include/var_category.php');
require_once(CPO_BASEDIR.'_include/secure.php');

// langauage **************************************************************************************
if (!array_key_exists($directory, $activeModules)) {
	$translator->addTranslation('tables',CPO_BASEDIR.$directory.'/lang');
}
// the includes ***********************************************************************************
include(CPO_BASEDIR.$directory.'/includes/producer.inc.php');

// Seitenausgabe ********************************************************

$cpoRubric['name'] = __('Table preview').': '.$_GET['show'];
$cpoRubricSettings['title'] = __('Table preview').': '.$_GET['show'];

if (!array_key_exists('Tabellen', $activeModules)) {
    $message[] = ___('Tables are currently disabled.');
	$table_break = true;
}

ob_start();

	include(CPO_BASEDIR.'_include/message.php');

	if ( $_GET['show'] && !$table_break)  {
        $db_titel = $_GET['show'];
		include(CPO_BASEDIR.$activeModules['Tabellen']['directory'].'/includes/parser_c_table.inc.php');
		echo $content['Table (table)']['content'];
		echo $content['Sort (table)']['content'];
		echo $content['Export (table)']['content'];
	} else {
		echo __('This is only a preview page, not for frontend use!<br />If you see no table, then you are using this page in a wrong way!');
	}

$showTable = ob_get_clean();


// header and footer mechanism
if ($activeModules['Tabellen']['pagetemplate_index']==0) {
    include(CPO_BASEDIR.$directory.'/loadheaders.php');
    echo $showTable;
	include(CPO_BASEDIR.$directory.'/loadfooters.php');
    exit;
}

// fetch pagetemplate from database and build page
$pagetemplate = $activeModules['Tabellen']['pagetemplate_index'];

$db = new DB;
$db->query('SELECT pagetemplate FROM '.CPO_PAGETEMPLATES.' '
    .'WHERE id='.(int)$pagetemplate.' '
);
$db->next_record();
$pageTemplate = $db->v('pagetemplate');
$pageTagsPreg = '/<!--\s*page\s*:\s*articles\s*(?!id=)[^>]\s*-->/isU'; // nur der Artikelplatzhalter der aktuellen Rubrik, also OHNE id
$pageTemplate = preg_replace ($pageTagsPreg, $showTable, $pageTemplate);
require CPO_BASEDIR.'_include/buildpage.inc.php';

?>

