<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

// This is the language file for navigation and setup

$translation = array(

// navigation
'Tables'
=> 'Tabellen',
'work on tables'
=> 'Tabellen bearbeiten',
'Shows the existing tables'
=> 'Zeigt die vorhandenen Bilderalben',
'Options'
=> 'Einstellungen',
'Rights'
=> 'Rechte',
'The tables-module got activated.'
=> 'Das Tabellen-Modul wurde aktiviert',
'The tables-module got deactivated.'
=> 'Das Tabellen-Modul wurde deaktiviert',
'Your tables-table has been renamed to <B>%s_mod_bilderalbum_backup</B> to preserve your data. If you wish to unreversably destroy this data an to delete all uploaded pictures please klick on <a href="%s/remove.php?action=all">Remove all tables data</a>.'
=> 'Ihre Bilderalben-Tabelle wurde umbenannt zu <B>%s_mod_bilderalbum_backup</B>. Wenn Sie diese Daten unwiederruflich lschen und alle auf den Server geladenen Bilder wollen, dann klicken Sie auf <a href="%s/remove.php?action=all">Lschen aller Bilderalben-Daten</a>',
'The module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory'
=> 'Das Modul wurde aus dem ConPresso-System entfernt. Um das Modul vollstndig zu entfernen lschen Sie bitte das Modul-Verzeichnis',
'options'
=> 'Einstellungen',
'rights'
=> 'Rechte',
'read manual'
=> 'Handbuch',
'remove anything'
=> 'Alle Reste lschen',
'The module tables have been kept! Click <a href="%s">here to delete these tables</a> irreversibly.'
=> 'Die Modul-Tabellen wurden beibehalten. Klicken Sie <a href="%s">hier um diese Tabellen engltig zu lschen</a>.',
'The module tables have been deleted!'
=> 'Die Modul-Tabellen wurden gelscht!',
'The table module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory <em>%s</em>.'
=> 'Das Tabellen-Modul wurde aus dem ConPresso-System entfernt. Um das Modul endgltig zu deinstallieren lschen Sie bitte das Modulverszeichnis <em>%s</em>.',

'The tables-module was successfully installed!'
=> 'Das Tabellen-Modul wurde erfolgreich installiert!',
'ascending'
=> 'aufsteigend',
'descending'
=> 'absteigend',
'sort table'
=> 'Tabelle sortieren',
'Download'
=> 'Herunterladen',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',


// Hilfe
'Table-Module-Help'
=> 'Tabellen-Modul-Hilfe',
'There ist right now no english helpfile available!'
=> 'Das Handbuch zum Tabellen-Modul von <a href="http://www.conpresso4.de" target="_blank">Markus Rsel (www.conpresso4.de)</a>',
'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'
)

?>