<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

$translation = array(

// tablelist
'Tables'
=> 'Tabellen',
'In this view you can work on the existing tables or create new tables.'
=> 'In dieser Ansicht knnen Sie die bestehenden Tabellen bearbeiten oder neue Tabellen erstellen.',
'Manage tables'
=> 'Tabellen bearbeiten',
'Name'
=> 'Name',
'Format'
=> 'Format',
'Action'
=> 'Aktion',
'Do you really want to delete this table and all the content?'
=> 'Wollen Sie wirklich diese Tabelle mit allen Daten lschen?',
'columns'
=> 'Spalten',
'rows'
=> 'Zeilen',
'edit table'
=> 'Tabelle bearbeiten',
'define table'
=> 'Tabelle definieren',
'copy table'
=> 'Tabelle kopieren',
'delete table'
=> 'Tabelle lschen',
'No tables founds!'
=> 'Keine Tabellen gefunden!',
'Click to create a new table'
=> 'Neue Tabelle anlegen',
'Upload table file'
=> 'Tabellen-Datei hochladen',
'File to upload:'
=> 'Hochzuladende Datei:',
'upload'
=> 'Hochladen',
' times sorting'
=> '-fache Sortierung',
'single'
=> 'einzeln',
'multiple'
=> 'mehrfach',
// Edit values
'Edit table values'
=> 'Tabellenwerte bearbeiten',
'In this view you can edit the values of the table <i>%s</i>.'
=> 'In dieser Ansicht knnen Sie die Zellwerte der Tabelle <i>%s</i> bearbeiten.',
'Switch to edit the field definitions'
=> 'Umschalten zum Bearbeiten der Felddefinitionen',
'move left'
=> 'nach links',
'ascending'
=> 'aufsteigend',
'descending'
=> 'absteigend',
'move right'
=> 'nach rechts',
'none'
=> 'whlen',
'delete row'
=> 'Zeile lschen',
'This is only a temporary sorting. To save this click on "Save Table".'
=> 'Dies ist nur eine vorrbergehende Sortierung. Um diese Anordnung zu speichern klicken Sie bitte auf "Tabelle speichern".',
'Do you really want to delete this row and all its content?'
=> 'Wollen Sie wirklich diese Zeile und alle ihre Inhalte lschen?',
'add row'
=> 'Zeile hinzufgen',
'save table'
=> 'Tabelle speichern',
// fileds
'Edit table fields'
=> 'Felddefinitionen bearbeiten',
'In this view you can edit the field-settings of the table <i>%s</i>.'
=> 'In dieser Ansicht knnen Sie die Feld-Definitionen der Tabelle <i>%s</i> bearbeiten.',
'Switch to edit the table values'
=> 'Umschalten zum Bearbeiten der Tabellenwerte',
'Fields'
=> 'Felder',
'Align'
=> 'Ausr.',
'Wrap'
=> 'Umbr.',
'Data'
=> 'Werte',
'Type'
=> 'Art',
'Numbers'
=> 'Zahlen',
'Func.'
=> 'Funkt.',
'wordwrap'
=> 'ja',
'nowrap'
=> 'nein',
'left'
=> 'Links',
'center'
=> 'Mitte',
'right'
=> 'Rechts',
'Table basic values'
=> 'Tabellen Grundwerte',
'Max. sort-options:'
=> 'Max. Sortierfelder',
'Multiple rows:'
=> 'Mehrfachzeilen',
'Save basic values'
=> 'Grundwerte speichern',
'Table design templates'
=> 'Tabellen Design Vorlagen',
'Table main:'
=> 'Haupt-Tabelle:',
'Table head:'
=> 'Tabellen-Kopf:',
'Table row:'
=> 'Tabellen-Zeile:',
'Table functions:'
=> 'Tabellen-Funktionen:',
'Table data:'
=> 'Tabellen-Zelle:',
'Save table template'
=> 'Tabellenvorlage speichern',
'Custom presets'
=> 'Benutzer-Voreinstellungen',
'New custom preset:'
=> 'Neue Benutzer-Voreinstellung:',
'Save custom preset'
=> 'Benutzer-Voreinstellung speichern',
'Do you really want to load this preset?'
=> 'Wollen Sie diese Voreinstellung wirklich laden?',
'load custom preset'
=> 'Voreinstellung laden',
'Do you really want to delete this preset?'
=> 'Wollen Sie diese Voreinstellung wirklich lschen?',
'delete custom preset'
=> 'Voreinstellung lschen',
'Do you really want to delete this field and all its content?'
=> 'Wollen Sie dieses Feld und alle Inhalte dieser Spalte wirklich lschen?',
'delete field'
=> 'Feld lschen',
'Add field'
=> 'Feld hinzufgen',
'Save'
=> 'Speichern',

// actions
'Custom preset <i>%s</i> was saved!'
=> 'Die Benutzer-Voreinstellung <i>%s</i> wurde gespeichert!',
'The custom preset <em>%s</em> was successfully deleted!'
=> 'Die Benutzer-Voreinstellung <em>%s</em> wurde erfolgreich gelscht!',
'The custom preset was successfully loaded as new template!'
=> 'Die Benutzer-Voreinstellung wurde erfolgreich als neue Vorlage geladen!',
'No readable file format!'
=> 'Kein lesbares Dateiformat!',
'Table was saved!'
=> 'Tabelle wurde gespeichert!',
'Field-settings were saved!'
=> 'Feldeigenschaften wurden gespeichert!',
'Basic values were saved!'
=> 'Grunderte wurden gespeichert!',
'Template was saved!'
=> 'Vorlage wurde gespeichert!',
'The table was <em>%s</em> successfully deleted!'
=> 'Die Tabelle <em>%s</em> wurde erfolgreich gelscht!',

'reload'
=> 'zurcksetzen',
'Reset to defaults'
=> 'Auf Voreinstellungen zurcksetzen',
'Template base:'
=> 'Voreinstellung:',
'Do you really want to reset all design settings to the chosen template?'
=> 'Wollen Sie wirklich alle Design-Einstellungen auf die gewhlte Vorlage zurcksetzen?',
'Using the reset option resets all your individual settings to the defaults by reloading the chosen template!'
=> 'Wenn Sie die Zurckstellung benutzen werden alle Ihre individuellen Design-Einstellungen auf die Voreinstellung der Vorlage zurckgesetzt!',
'Custom presets'
=> 'Benutzerdefinierte Voreinstellungen',
'New custom preset:'
=> 'Neue benutzerdefinierte Voreinstellung:',
'Save custom preset'
=> 'Benutzerdefinierte Voreinstellung speichern',
'please choose'
=> 'bitte whlen',
'english'
=> 'deutsch',

// Settings
'This is the administration of the table-options and settings.'
=> 'Dies ist die Verwaltung der Tabellen-Optionen und -Einstellungen.',
'CSV export settings'
=> 'CSV Export-Einstellungen',
'CSV character:'
=> 'CSV Trennzeichen:',
'Text quoting:'
=> 'Text-Kennzeichnung:',
'File extension:'
=> 'Datei-Erweiterung:',
'Semicolon'
=> 'Strichpunkt (Semikolon)',
'Colon'
=> 'Komma',
'Tab'
=> 'Tabulator',
'Quotes'
=> 'Anfhrungszeichen (Gnsefsschen)',
'Apostrophe'
=> 'Apostroph (Hochkommata)',
'none'
 => 'keine',


'A new Table was added. Please start editing.'
=> 'Eine neue Tabelle wurde hinzugefgt. Beginnen Sie jetzt mit der Bearbeitung.',
'New table'
=> 'Neue Tabelle',
'Please edit the table description'
=> 'Tabellen-Beschreibung bitte ndern',
'Copy of '
=> 'Kopie von ',
'The table <em>%s</em> was copied as <em>%s</em>.'
=> 'Die Tabelle <em>%s</em> wurde als <em>%s</em> kopiert.',
'imported table'
=> 'Importierte Tabelle',
'CSV-import from: '
=> 'CSV-Import aus: ',
'dBase-import from: '
=> 'dBase-Import aus: ',
'Field delimiter in csv files:'
=> 'Feld-Trennzeichen in CSV-Dateien:',
'The data from <em>%s</em> was importet and saved as <em>%s</em>.'
=> 'Die Daten aus <em>%s</em> wurden importiert und gespeichert als <em>%s</em>.',
'The data from <em>%s</em> was importet to the table <em>%s</em>.'
=> 'Die Daten aus <em>%s</em> wurden in die vorhandene Tabelle <em>%s</em> importiert.',
'Template <i>%s</i> is loaded!'
=> 'Die Vorlage <i>%s</i> wurde geladen!',
'Do you really want to switch to the field definitions? Unsaved changes will be lost!'
=> 'Wollen Sie wirklich zum Bearbeiten der Felddefinitionen umschalten? Nicht gespeicherte Eingaben gehen verloren!',
'Do you really want to switch to edit the table values? Unsaved changes will be lost!'
=> 'Wollen Sie wirklich zum Bearbeiten der Tabellenwerte umschalten? Nicht gespeicherte Eingaben gehen verloren!',
'Table display settings'
=> 'Tabellen-Darstellungs-Einstellungen',
'Clickable table headers:'
=> 'Anklickbare Spaltenkpfe:',
'Mode:'
=> 'Modus:',
'Default number format:'
=> 'Standard-Zahlenformat:',
'append'
=> 'anfgen',
'replace'
=> 'ersetzen',
'Table preview'
=> 'Tabellen Vorschau',

// Rechte
'Edit table rights'
=> 'Tabellen-Rechte bearbeiten',
'This view allows you to change the rights of the users for the table-module.'
=> 'In dieser Anicht knnen Sie die Rechte der User fr das Tabellen-Modul ndern.',
'Create & change'
=> 'Erstellen & ndern',
'Supervise'
=> 'Verwalten',







'Module settings were updated!'
=> 'Die Moduleinstellungen wurden gespeichert!',

'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',
'englisch'
=> 'deutsch',

'Save module settings'
=> 'Modul-Einstellungen speichern',

'englisch'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'
)

?>