<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');
$help = $activeModules['Tabellen']['help'];

// Sprache
$directory = basename(dirname($_SERVER['PHP_SELF'])); 
$translator->addTranslation('tables',CPO_BASEDIR.$directory.'/lang');

// Aktionen

// Seitenausgabe ********************************************************
include('includes/producer.inc.php');

// Header
require(CPO_BASEDIR.'_include/header.php');

//if (isset($layout))		include('includes/inc_layout.inc.php');

if ($_GET['table'] == 'new')        include('includes/new_table.inc.php');

if (!isset($_REQUEST['edit']) && !isset($_REQUEST['fields']) && !isset($_REQUEST['list']) && !isset($_REQUEST['tables_user_id']) ) include('includes/inc_tablelist.inc.php');

if (isset($_REQUEST['tables_user_id'])) include ('includes/inc_rights.inc.php');
if (isset($_REQUEST['edit']))           include('includes/inc_table_edit.inc.php');
if (isset($_REQUEST['fields']))         include('includes/inc_fields_edit.inc.php');
//if (isset($_REQUEST['import']))		include('includes/inc_upload.inc.php');
if ($_REQUEST['list'] == "options") include('includes/inc_options.inc.php');
if ($_REQUEST['list'] == "rights")      include('includes/inc_rights.inc.php');


// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>