<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

$demo_fields2 = array (
	array ( "Name",		"m/w",	"Nat.", "nd.", "Punktzahl", "Wertung" , "Qual."	),		// Feldname
	array ( "Text",		"Ampel","Zeichen","Ampel","Zahl","Text","Ja/Nein"		),		// Felddatentyp
	array ( "left",	"center","center","center","center","left","center"	),		// Ausrichtung Header
	array ( 1,			0,0,1,1,1,0			),		// Kein Umbruch
	array ( "left",		"center","center","center","right","left","center"		),		// Ausrichtung Felder
	array ( 1,			0,0,1,0,0,0			),		// Kein Umbruch
	array ( '',			'sex;2','flags;_blank.gif','arrow;3','%01.2f','','x;-'			),		// Zahlenformat
	array ( 'num',		'','','','avg','',''			)		// Aggregatfunktion
	);
$demo_table2 = array (
array ( "Markus", "2", "deutschland.gif", "2", "10", "befriedigend", "1"),
array ( "Hans", "2", "frankreich.gif", "4", "30", "gut", "1"),
array ( "Jochen", "2", "schweiz.gif", "1", "20", "gut", ""),
array ( "Tanja", "1", "deutschland.gif", "3", "11", "mittel", "1"),
array ( "Martin", "2", "deutschland.gif", "2", "15", "gut", ""),
array ( "Thomas", "2", "schweiz.gif", "3", "23", "gut", "1"),
array ( "Oliver", "2", "oesterreich.gif", "3", "34", "gut", ""),
array ( "Judith", "1", "oesterreich.gif", "3", "33", "gut", "1"),
array ( "Svenja", "1", "belgien.gif", "3", "29", "gut", ""),
array ( "Michel", "2", "niederlande.gif", "3", "17,5", "mittel", ""),
array ( "Toni", "2", "schweiz.gif", "2", "44", "gut", "1"),
array ( "Johanna", "1", "oesterreich.gif", "4", "13", "befriedigend", "")
	);
// Templates
$demo_design2 = array (
'table_main' => 
'<style>
.wline { border: solid 1px white;}
.even { background-color: #CCCCCC;}
.odd { background-color: #DDDDDD;}
</style>
<table border="0" class="wline" cellpadding="3" cellspacing="0" style="border-collapse:collapse">
	<thead>
		<tr class="even">
			<!--TABLE_HEAD-->
		</tr>
	</thead>
	<tbody>
		<!--TABLE_ROWS-->
		<!--TABLE_FUNC-->
	</tbody>
</table>
<b>Tabelle: <!--TABLE_DESCRIPTION--></b>
<br />',

'table_head' => 
'<th style="text-align: <!--TABLE_TH_ALIGN-->" class="wline"><span style="font-weight: bold; text-align: <!--TABLE_TH_ALIGN-->"<!--TABLE_TH_WRAP-->><!--TABLE_TH_NAME--></span></th>',

'table_row' => 
'<tr class="<!--TABLE_EVEN_ODD-->">
	<!--TABLE_ROW-->
</tr>',

'table_data' => 
'<td style="text-align: <!--TABLE_TD_ALIGN-->" class="wline"><span style="text-align: <!--TABLE_TD_ALIGN-->"><!--TABLE_DATA--></span></td>',
'table_func' => 
'<td style="text-align: <!--TABLE_TD_ALIGN-->" class="wline"><span style="text-align: <!--TABLE_TD_ALIGN-->"><b><!--TABLE_DATA--></b></span></td>'
);

$demo_fields3 = array (
	array ( "Monat",	"Einnahmen",	"Ausgaben"	),		// Feldname
	array ( "Text",		"Zahl",			"Zahl"		),		// Felddatentyp
	array ( "center",	"center",		"center"	),		// Ausrichtung Header
	array ( 1,			1,				1			),		// Kein Umbruch
	array ( "left",		"right",		"right"		),		// Ausrichtung Felder
	array ( 1,			0,				0			),		// Kein Umbruch
	array ( '',			'%01.2f',		'%01.2f'	),		// Zahlenformat
	array ( 'num',		'sum',			'sum'		)		// Aggregatfunktion
	);
$demo_table3 = array (
	array ( "Januar",	"24",	"54"	),
	array ( "Februar",	"543",	"34"	),
	array ( "Mrz",	    "23",	"23"	),
	array ( "April",	"1278",	"53"	),
	array ( "Mai",	    "42",	"23"	),
	array ( "Juni",	    "432",	"233"	),
	array ( "Juli",	    "42",	"1254"	),
	array ( "August",	"22",	"453"	),
	array ( "September","123",	"354"	),
	array ( "Oktober",	"543",	"353"	),
	array ( "November",	"243",	"346"	),
	array ( "Dezember",	"255",	"542"   )
	);
// Templates
$demo_design3 = array (
'table_main' => 
'<style>
.2px { border: solid 2px black; }
.1px { border: solid 1px black; }
</style>
<table border="2" class="2px" cellpadding="3" cellspacing="0" style="border-collapse:collapse;">
	<thead>
		<tr>
			<!--TABLE_HEAD-->
		</tr>
	</thead>
	<tbody>
		<!--TABLE_ROWS-->
		<!--TABLE_FUNC-->
	</tbody>
</table>
<b>Tabelle: <!--TABLE_DESCRIPTION--></b>
<br />',

'table_head' => 
'<th style="text-align: <!--TABLE_TH_ALIGN-->" class="1px"><span style="font-weight: bold; text-align: <!--TABLE_TH_ALIGN-->"<!--TABLE_TH_WRAP-->><!--TABLE_TH_NAME--></span></th>',

'table_row' => 
'<tr>
	<!--TABLE_ROW-->
</tr>',

'table_data' => 
'<td style="text-align: <!--TABLE_TD_ALIGN-->" class="1px"><span style="text-align: <!--TABLE_TD_ALIGN-->"><!--TABLE_DATA--></span></td>',
'table_func' => 
'<td style="text-align: <!--TABLE_TD_ALIGN-->" class="1px"><span style="text-align: <!--TABLE_TD_ALIGN-->"><b><!--TABLE_DATA--></b></span></td>'
);

?>