<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

        unset($table_string);
		unset($table_head_string, $table_rows_strin, $table_func_string);


		// die Tabelle erstellen
		$table_string = "\n\n".'<!-- Table start ' . $table_id . ' -->';
		// Tabellenkopf / Feldnamen *****************************************************************************************
		for ($f=0;$f<count($table_fields[0]);$f++)  {
			// Werte
			$order = ($_GET['tbl_sort'] == $f && $_GET['tbl_order'] == 'ASC') ? 'DESC' : 'ASC';
			$th_name		=	($activeModules['Tabellen']['clickable_headers']=="yes") ? 
                '<a onclick="sort_table(\'' . $table_id . '\',\'' . $f . '\',\'' . $order . '\',false); return false;" href="' . $_PHPSELF . '?tbl_id=' . $table_id . '&tbl_sort=' . $f . '&tbl_order='.$order.$args.'">' . $table_fields[0][$f] . '</a>' :
                $table_fields[0][$f];
			//$th_name		=	'<a onclick="sort_table(\'' . $table_id . '\',\'' . $f . '\',\'' . $order . '\',false); return false;" href="#">' . $table_fields[0][$f] . '</a>';
			$th_align		=	$table_fields[2][$f];
			$th_wrap		=	($table_fields[3][$f]) ? ' nowrap="nowrap"' : '';
			// Ersetzungsarray
			$th_find		=	array('<!--TABLE_TH_NAME-->', '<!--TABLE_TH_ALIGN-->', '<!--TABLE_TH_WRAP-->');
			$th_replace		=	array($th_name, $th_align, $th_wrap);
			// Ausgabe
			$table_head_string	.=	str_replace($th_find, $th_replace, $table_design['table_head']);
		}
//		$table_string .= '</thead><tbody>';
		// Tabellenbody / Werte *****************************************************************************************
		for ($f=0;$f<count($table_values);$f++)  {
			unset($table_tds, $tr_find, $tr_replace, $table_even_odd);
			$table_even_odd = ($f % 2) ? "even" : "odd" ;
			for ($s=0;$s<$spalten;$s++)  {
				// Werte
				$td_align		=	$table_fields[4][$s];
				$td_wrap		=	($table_fields[5][$s]) ? ' nowrap="nowrap"' : '';
				$data			=	$table_values[$f][$s];
				if ($table_fields[6][$s] != '' && $table_fields[1][$s] == 'Text') $data = sprintf($table_fields[6][$s],$data);
                if (trim($table_fields[6][$s])=='' && $table_fields[1][$s] == 'Zahl') $table_fields[6][$s]=$activeModules['Tabellen']['default_number_format'];
				if ($table_fields[6][$s] != '' && $table_fields[1][$s] == 'Zahl') $data = imp2dec(sprintf( $table_fields[6][$s], dec2imp($table_values[$f][$s])));
				if ($table_fields[6][$s] != '' && ( $table_fields[1][$s] == 'Zeit' || $table_fields[1][$s] == 'Datum' ) )  $data = date( $table_fields[6][$s], dec2imp($table_values[$f][$s]) );
				$bit			=	explode(";",$table_fields[6][$s]);
				if ($table_fields[6][$s] != '' && ( $table_fields[1][$s] == 'Ja/Nein') )  $data = ($table_values[$f][$s]) ? $bit[1] : $bit[0] ;
				if ($table_fields[6][$s] != '' && ( $table_fields[1][$s] == 'Zeichen') )  $data = '<img src="../mod_tables/zeichen/'.$bit[0].'/'.$data.'" alt="'.$data.'" title="'.$data.'">';
				if ($table_fields[6][$s] != '' && ( $table_fields[1][$s] == 'Ampel') )  $data = '<img src="../mod_tables/ampel/'.$bit[0].'/'.$data.'.gif">';
				$data			=	(trim($data) == '') ? '&nbsp;' : $data;
				// Ersetzungsarray
				$td_find		=	array('<!--TABLE_TD_ALIGN-->', '<!--TABLE_TD_WRAP-->', '<!--TABLE_DATA-->');
				$td_replace		=	array($td_align, $td_wrap, $data);
				// Ausgabe
				$table_tds		.=	str_replace($td_find, $td_replace, $table_design['table_data']);
			}
			// Ersetzungsarray
			$tr_find[]		=	'<!--TABLE_EVEN_ODD-->';
			$tr_replace[]		=	$table_even_odd;
			$tr_find[]		=	'<!--TABLE_ROW-->';
			$tr_replace[]		=	$table_tds;
			// Ausgabe
			$table_rows_string	.= str_replace($tr_find, $tr_replace, $table_design['table_row']);
		}
		// Tabellenfu / Funktionen *****************************************************************************************
		unset ($table_tds, $check4funx, $td_find, $td_replace, $tr_find, $tr_replace);
		$check4funx = false;
		for ($s=0;$s<count($table_fields[0]);$s++)  {
			$td_align		=	$table_fields[4][$s];
			$td_wrap		=	($table_fields[5][$s]) ? ' nowrap="nowrap"' : '';
			// Hier kommen die Berechnungen
			$data = '&nbsp;';
			if($table_fields[7][$s] == 'sum')  {
				$check4funx = true;
				$sum = 0;
				for ($f=0;$f<count($table_values);$f++)  {
					$sum += $table_values[$f][$s];
				}
				$data = imp2dec(sprintf($table_fields[6][$s], $sum));
			}
			if ($table_fields[7][$s] == 'num')  {
				$check4funx = true;
				$data = count($table_values);
			}
			if($table_fields[7][$s] == 'avg')  {
				$check4funx = true;
				$sum = 0;
				for ($f=0;$f<count($table_values);$f++)  {
					$sum += $table_values[$f][$s];
				}
				$data = imp2dec(sprintf($table_fields[6][$s], $sum / count($table_values)));
			}
			if($table_fields[7][$s] == 'max')  {
				$check4funx = true;
				for ($f=0;$f<count($table_values);$f++)  {
					$max_array[] = $table_values[$f][$s];
				}
				$data = imp2dec(sprintf($table_fields[6][$s], max($max_array)));
			}
			if($table_fields[7][$s] == 'min')  {
				$check4funx = true;
				for ($f=0;$f<count($table_values);$f++)  {
					$min_array[] = $table_values[$f][$s];
				}
				$data = imp2dec(sprintf($table_fields[6][$s], min($min_array)));
			}
			// Ersetzungsarray
			$td_find		=	array('<!--TABLE_TD_ALIGN-->', '<!--TABLE_TD_WRAP-->', '<!--TABLE_DATA-->');
			$td_replace		=	array($td_align, $td_wrap, $data);
			// Ausgabe
			$table_tds		.=	str_replace($td_find, $td_replace, $table_design['table_func']);
			unset ($td_align, $td_wrap, $data);
		}	
		// Ersetzungsarray
		$tr_find[]		=	'<!--TABLE_EVEN_ODD-->';
		$tr_replace[]		=	($table_even_odd == "even") ? "odd" : "even";
		$tr_find[]		=	'<!--TABLE_ROW-->';
		$tr_replace[]		=	$table_tds;
		// Ausgabe
		$table_func_string	= ($check4funx) ? str_replace($tr_find, $tr_replace, $table_design['table_row']) : '';
		// Ende *****************************************************************************************
		// Nun machen wir eine Tabelle draus *****************************************************************************************
		$t_find			=	array('<!--TABLE_NAME-->', '<!--TABLE_DESCRIPTION-->', '<!--TABLE_HEAD-->', '<!--TABLE_ROWS-->', '<!--TABLE_FUNC-->');
		$t_replace		=	array($table_name, $table_description, $table_head_string, $table_rows_string, $table_func_string);
		// Ausgabe
		$table_string	.=	str_replace($t_find, $t_replace, $table_design['table_main']);
		// Tabelle fertig! *****************************************************************************************
		unset ($table_tds, $check4funx, $d_find, $t_replace);

        $table_string .= "\n".'<!-- Table end ' . $table_id . ' -->'."\n\n";

