<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

include('includes/actions.inc.php');

// Vorgabewerte
$types = array ("Text", "Zahl", "Ja/Nein", "Liste", "Zeit", "Datum", "Zeichen", "Ampel");
$align = array ("left", "center", "right");
$funx  = array ("sum", "num", "avg", "max", "min");

// Einlesen fr Tabelle
	$query = "SELECT id, name, description, max_sort, multiple_rows, table_design, table_fields FROM ".$dbPrefix."_mod_tables WHERE id = ".$_REQUEST['fields'];
//	echo $query;
    DEBUG(2, $query, __FILE__, __LINE__);  
    $db = new DB;
    $db->query($query);
    if ($db->num_rows()>0)  {
		$db->next_record();
		$table_design = unserialize($db->v('table_design'));
		$table_fields = unserialize($db->v('table_fields'));
		$spalten = count($table_fields[0]);
		$name = $db->v('name');
		$description = $db->v('description');
		$max_sort = $db->v('max_sort');
		$multiple_rows = $db->v('multiple_rows');

		printPageHeader(
			__('Edit table fields'),
			sprintf(__('In this view you can edit the field-settings of the table <i>%s</i>.'),$name),
            'http://manual.conpresso4.de/tables/application.htm',
            true,
            'modules'
        );

		require(CPO_BASEDIR."_include/message.php");

		echo '<p>';
		echo '<a href="'.BASE_REL.$activeModules['Tabellen']['directory'].'/edit.php?edit='.$_REQUEST['fields'].'" onclick="return confirm(\''.__('Do you really want to switch to edit the table values? Unsaved changes will be lost!').'\');">';
		echo '<img src="'.SKIN_URL.'pic_edit.gif" class="pic_" alt="'.__('edit table').'" title="'.__('edit table').'" />'; 
		echo __('Switch to edit the table values').' </a></p><br /><br />';

		// table header {{{
        echo '<form name="fieldsEdit" action="edit.php" method="post">';
        echo '<table class="ruler" style="width: 100%;">';
        echo '<input type="hidden" name="fields" value="'.$_REQUEST['fields'].'">';
        echo '<input type="hidden" name="go" value="1">';
        echo '<thead><tr>';
			echo '<th><span>'.__('Fields').': '.__('Name').'/'.__('Align').'/'.__('Wrap').'</span></th>';
			echo '<th><span>'.__('Data').': '.__('Type').'/'.__('Align').'/'.__('Wrap').'/'.__('Numbers').'/'.__('Func.').'</span></th>';
		echo '<th></th>';
		echo '<th></th>';
		echo '</tr></thead><tbody>';
		for ($f=0;$f<count($table_fields[0]);$f++)  {
			echo "<tr><td>";
			echo '<input type="text" class="text" name="new_table_fields[0]['.$f.']" value="'.$table_fields[0][$f].'" size="16">';
			echo '<select name="new_table_fields[2]['.$f.']">';
			for ($t=0;$t<count($align);$t++)  {
				$checked = '';
				if ($table_fields[2][$f] == $align[$t])  $checked = ' selected="selected"';
				echo '<option value="'.$align[$t].'"'.$checked.'>'.__($align[$t]).'</option>';
			}
			echo "</select>";
			echo '<select name="new_table_fields[3]['.$f.']">';
				echo '<option value="1"'.($table_fields[3][$f] == 1 ? ' selected="selected"' : '').'>'.__('wordwrap').'</option>';
				echo '<option value="0"'.($table_fields[3][$f] == 0 ? ' selected="selected"' : '').'>'.__('nowrap').'</option>';
			echo "</select>";
			echo "</td>";
			echo "<td>";
			echo '<select name="new_table_fields[1]['.$f.']">';
			for ($t=0;$t<count($types);$t++)  {
				$checked = '';
				if ($table_fields[1][$f] == $types[$t])  $checked = ' selected="selected"';
				echo '<option value="'.$types[$t].'"'.$checked.'>'.__($types[$t]).'</option>';
			}
			echo "</select>";
			echo '<select name="new_table_fields[4]['.$f.']">';
			for ($t=0;$t<count($align);$t++)  {
				$checked = '';
				if ($table_fields[4][$f] == $align[$t])  $checked = ' selected="selected"';
				echo '<option value="'.$align[$t].'"'.$checked.'>'.__($align[$t]).'</option>';
			}
			echo "</select>";
			echo '<select name="new_table_fields[5]['.$f.']">';
				echo '<option value="1"'.($table_fields[5][$f] == 1 ? ' selected="selected"' : '').'>'.__('wordwrap').'</option>';
				echo '<option value="0"'.($table_fields[5][$f] == 0 ? ' selected="selected"' : '').'>'.__('nowrap').'</option>';
			echo '</select>';
			echo '<input type="text" class="text" name="new_table_fields[6]['.$f.']" value="'.$table_fields[6][$f].'" size="10">';
			echo '<select name="new_table_fields[7]['.$f.']">';
			echo '<option value="">-</option>';
			for ($t=0;$t<count($funx);$t++)  {
				$checked = '';
				if ($table_fields[7][$f] == $funx[$t])  $checked = ' selected="selected"';
				echo '<option value="'.$funx[$t].'"'.$checked.'>'.__($funx[$t]).'</option>';
			}
			echo "</select>";
			echo '</td><td>';
			if ($f != 0)  {
				echo "<a href='edit.php?fields=".$_REQUEST['fields']."&left=".$f."'><img src='../_skin/conpresso/sort_up.gif' border='0' title='".__('move up')."' alt='".__('move up')."'></a>";
			} else {
				echo "<img src='../_skin/conpresso/sort_empty.gif' border='0'>";
			}
			echo "<br>";
			if ($f+1 < count($table_fields[0]))  {
				echo "<a href='edit.php?fields=".$_REQUEST['fields']."&right=".$f."'><img src='../_skin/conpresso/sort_down.gif' border='0' title='".__('move down')."' alt='".__('move down')."'></a>";
			} else {
				echo "<img src='../_skin/conpresso/sort_empty.gif' border='0'>";
			}
			echo '</td><td>';
			// Lschen
				echo '<a href="' . BASE_REL . $activeModules['Tabellen']['directory'] . '/edit.php?fields=' . $_REQUEST['fields'] . '&kill_field=' . $f . '" onClick="return confirm(\''.__('Do you really want to delete this field and all its content?').'\')">';
				echo '<img src="' . SKIN_URL . 'pic_del.gif" class="pic_" alt="' . __('delete field') . '" title="' . __('delete field') . '" />'; 
				echo '</a>';
			echo '</td></tr>';
		}
        echo '<tr><td nowrap="nowrap"><input type="submit" class="button" name="addfield" value="'.__('Add field').'"> <input type="submit" class="button" name="savefields" value="'.__('Save').'"></td><td></td><td></td><td></td></tr></tbody></table>';
	}

// ******** TABELLE ***************
		echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Table basic values').'</span></th>';
		echo '</tr></thead><tbody>';
        // }}}
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Name:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="new_name" value="' . $name . '">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Description:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text inputwidth" name="new_description" value="' . $description . '">';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Max. sort-options:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="text" class="text" name="new_max_sort" value="' . $max_sort . '">';
            echo '</td>';
		echo '</tr>';
		/*
        echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Multiple rows:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<select name="new_multiple_rows">';
				$checked_single = '';
				$checked_multi = '';
				if ($multiple_rows == 'single')  $checked_single = ' selected="selected"';
				if ($multiple_rows == 'multiple')  $checked_multi = ' selected="selected"';
				echo '<option value="single"'.$checked_single.'>'.__('single').'</option>';
				echo '<option value="multiple" style="color:red;"'.$checked_multi.'>'.__('multiple').'</option>';
			echo '</select>';
            echo '</td>';
		echo '</tr>';
        */
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" name="savebasic" value="'.__('Save basic values').'">';
            echo '</td>';
		echo '</tr>';
		
		echo '</tbody></table>';

// ******** DESIGN ***************
		echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Table design templates').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Table main:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="10" class="text inputwidth" name="new_table_design[table_main]">' . $table_design['table_main'] . '</textarea>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Table head:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="3" class="text inputwidth" name="new_table_design[table_head]">' . $table_design['table_head'] . '</textarea>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Table row:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="3" class="text inputwidth" name="new_table_design[table_row]">' . $table_design['table_row'] . '</textarea>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Table data:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="3" class="text inputwidth" name="new_table_design[table_data]">' . $table_design['table_data'] . '</textarea>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Table functions:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="3" class="text inputwidth" name="new_table_design[table_func]">' . $table_design['table_func'] . '</textarea>';
            echo '</td>';
		echo '</tr>';
						
		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" name="savetemplate" value="'.__('Save table template').'">';
            echo '</td>';
		echo '</tr>';

		echo '</tbody></table></form>';

// ******* Reload Template ************************************************************************
		// table header {{{
        echo '<form name="template"><table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Reset to defaults').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Template base:');
            echo '</td>';
            echo '<td class="rightrow">';
			$dir="templates/";
			tablesgetDirOnlyList($dir,"template_select","_default"); 
			echo '<script language="Javascript" type="text/javascript">';
			echo 'function set_defaults() { ';
			echo 'dir = document.template.template_selected.value;';
			echo 'if (confirm(\''.__('Do you really want to reset all design settings to the chosen template?').'\')) { ';
			echo 'location.href="edit.php?fields='.$_REQUEST['fields'].'&default=" + dir; } }';
			echo '</script>';
            echo ' <input type="hidden" name="template_selected" value="_default"><a href="javascript:set_defaults();"><img src="'.BASE_ABS.'_skin/conpresso/pic_mod_active_on.gif" alt="'.__('reload').'" title="'.__('reload').'" align="absmiddle"></a><BR>'.__('Using the reset option resets all your individual settings to the defaults by reloading the chosen template!');
			echo '</td>';
		echo '</tr>';

		echo '</tbody></table></form>';

// ******* Custom Presets ************************************************************************
		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="presets">';
		echo '<input type="hidden" name="action" value="save_preset">';
		echo '<input type="hidden" name="fields" value="'.$_REQUEST['fields'].'">';
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Custom presets').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('New custom preset:');
            echo '</td>';
            echo '<td class="rightrow">';
			echo '<input type="text" class="text" name="cpoTablesCustom" value="" size="30" maxlength="255"> ';
            echo '<input type="submit" class="button" value="'.__('Save custom preset').'">';
			echo '</td>';
		echo '</tr>';
		$query = "SELECT id, name FROM ".$dbPrefix."_mod_table_presets ORDER BY name";
		DEBUG(1, $query, __FILE__, __LINE__);
		$db = new DB;
		$db->query($query); 
		while($db->next_record()) {
			$preset_id  = $db->v('id');
			$preset_name = $db->v('name');
			echo '<tr>';
				echo '<td class="leftrow">';
				echo '&nbsp;';
				echo '</td>';
				echo '<td class="rightrow">';
				echo '<a href="edit.php?fields='.$_REQUEST['fields'].'&preset=load&id='.$preset_id.'" onClick="return confirm(\''.__('Do you really want to load this preset?').'\')">';
				echo '<img src="'.BASE_ABS.'_skin/conpresso/pic_mod_active_off.gif" alt="'.__('load custom preset').'" title="'.__('load custom preset').'" align="absmiddle"></a>';
				echo '<a href="edit.php?fields='.$_REQUEST['fields'].'&preset=delete&id='.$preset_id.'" onClick="return confirm(\''.__('Do you really want to delete this preset?').'\')">';
				echo '<img src="'.BASE_ABS.'_skin/conpresso/pic_del.gif" alt="'.__('delete custom preset').'" title="'.__('delete custom preset').'" align="absmiddle"></a> ';
				echo $preset_name.'<BR>';
				echo '</td>';
			echo '</tr>';
		}

		echo '</tbody></table>';
		echo '</form>';


?>