<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

// Funktionen

if (!function_exists(listfiles))
{
	function listfiles($dir,$m)  {
		$h = opendir($dir);
		while($file = readdir($h))  {
			if ($file != "." AND $file != ".." AND !is_dir($dir.$file))  {
				echo "<a href=\"".$PHP_SELF."?filedelete=".$dir.$file."\"><img src=\"del.gif\" border=\"0\" alt=\"Datei lschen\"></a>&nbsp;".$m."<img src=\"file.gif\"> <a href='".$dir.$file."' target=\"_blank\">".$file."</a><BR>";
			}
		}
		closedir($h);
	}
}

if (!function_exists(save_table_modulesettings))
{
	function save_table_modulesettings($new_array, $active_array)  {
		global $activeModules;
		$new_settings = $_POST;
		foreach ($activeModules[$active_array] as $k=>$v) {
			if (!isset($_POST[$new_array][$k])) continue;
			if (is_bool($activeModules[$active_array][$k])) {
				$activeModules[$active_array][$k] = (bool) $_POST[$new_array][$k];
			}
			else $activeModules[$active_array][$k] = $_POST[$new_array][$k];
			if (array_key_exists($k, $new_settings[$new_array])) unset($new_settings[$new_array][$k]);
		}
		foreach ($new_settings[$new_array] as $k=>$v) {
			$activeModules[$active_array][$k] = $new_settings[$new_array][$k];
		}
		$query = sprintf(
				 "UPDATE ".CPO_MODULES." SET options ="
				." '%s' WHERE name = '".$active_array."'", 
				addslashes(serialize($activeModules[$active_array]))
		);
		DEBUG(1, $query, __FILE__, __LINE__);
		$db = new DB;
		$db->query($query); 
		$GLOBALS['message'][] = __('Module settings were updated!');   
	}
} 

if (!function_exists(SortArray))
{
   function SortArray() {				// http://www.php.net/manual/de/function.usort.php#42535
       $arguments = func_get_args();
       $array = $arguments[0];
	   if (is_array($arguments[1]))  {	// mehrere Sortierkriterien in einem Array
		   $multi_arg = $arguments[1];
		   for ($a=0;$a<count($multi_arg);$a++)  {
			   $arguments[$a+1] = $multi_arg[$a];
		   }
	   }
       $code = '';
       for ($c = 1; $c < count($arguments); $c += 2) {
           if (in_array($arguments[$c + 1], array("ASC", "DESC"))) {
               $code .= 'if ($a["'.$arguments[$c].'"] != $b["'.$arguments[$c].'"]) {';
               if ($arguments[$c + 1] == "ASC") {
                   $code .= 'return ($a["'.$arguments[$c].'"] < $b["'.$arguments[$c].'"] ? -1 : 1); }';
               }
               else {
                   $code .= 'return ($a["'.$arguments[$c].'"] < $b["'.$arguments[$c].'"] ? 1 : -1); }';
               }
           }
       }
       $code .= 'return 0;';
       $compare = create_function('$a,$b', $code);
       usort($array, $compare);
       return $array;
   }
}
if (!function_exists(switchArrayValues))
{
	function switchArrayValues($array,$column,$direction)  {
		if ($direction == 'right') $column2 = $column + 1;	
		if ($direction == 'left') $column2 = $column - 1;
		for ($c=0;$c<count($array);$c++)  {
			if ($c == $column)  {
				$newarray[$c] = $array[$column2];
			} else if ($c == $column2)  {
				$newarray[$c] = $array[$column];
			} else {
				$newarray[$c] = $array[$c];
			}
		}
		return $newarray;
	}
}
if (!function_exists(check4numbers))
{
	function check4numbers($def_array, $val_array)  {
		for ($d=0;$d<count($def_array[1]);$d++)  {
			if ($def_array[1][$d] == 'Zahl')  {
				for ($v=0;$v<count($val_array);$v++)  {
					$val_array[$v][$d] = (float) (str_replace(',','.',$val_array[$v][$d]));
				}
			}
		}
		return $val_array;
	}
}
if (!function_exists(check4times))
{
	function check4times($def_array, $val_array)  {
		for ($d=0;$d<count($def_array[1]);$d++)  {
			if ($def_array[1][$d] == 'Zeit')  {
				for ($v=0;$v<count($val_array);$v++)  {
					if(count(explode(":",$val_array[$v][$d]))==2) $val_array[$v][$d] = "00:" . $val_array[$v][$d];
					$val_array[$v][$d] = strtotime("01/01/2000 ".$val_array[$v][$d]);
				}
			}
		}
		return $val_array;
	}
}
if (!function_exists(check4dates))
{
	function check4dates($def_array, $val_array)  {
		for ($d=0;$d<count($def_array[1]);$d++)  {
			if ($def_array[1][$d] == 'Datum')  {
				for ($v=0;$v<count($val_array);$v++)  {
					$date_parts = explode(".",$val_array[$v][$d]);
					if(count($date_parts)==2) $val_array[$v][$d] = $date_parts[1]."/".$date_parts[0]."/".date("Y");
					if(count($date_parts)>2)  $val_array[$v][$d] = $date_parts[1]."/".$date_parts[0]."/".$date_parts[2];
					$val_array[$v][$d] = strtotime($val_array[$v][$d]);
				}
			}
		}
		return $val_array;
	}
}
if (!function_exists(tablesgetDirOnlyList))
{
    function tablesgetDirOnlyList($base,$selectboxname,$selected)  {
        if(is_dir($base)){
            $dh = opendir($base);
            $m = 1;
            $count=0;
            echo "\n\n<!-- ---------------- Selectbox (Verzeichnis: ".$base." ) -------------- //-->\n";
            echo "<select id=\"".$selectboxname."\" name=\"".$selectboxname."\" onChange=\"document.template.template_selected.value=document.template.".$selectboxname.".value\">\n";
            echo '<option value="">--- ' . __('please choose' ) . ' ---</option>';
            echo '<option value="">&nbsp;</option>';
            while (false !== ($dir = readdir($dh))) {
                if (is_dir($base . $dir) && $dir !== '.' && $dir !== '..') {
                    echo '<option value="' . $dir . '">' . $dir . '</option>';
                } else {
                    next;
                }
            }
            listfiles($base,"&nbsp;");
            closedir($dh);
            echo "</select>\n";
        } else {
            print "Ist kein Verzeichnis!";
        }
        return $count;
    }
}
if (!function_exists(imp2dec))
{
    function imp2dec($val)  {
        if (is_numeric($val)) $val = str_replace('.',',',$val);
        return $val;
    }
}
if (!function_exists(dec2imp))
{
    function dec2imp($val)  {
        $val = str_replace(',','.',$val);
        return $val;
    }
}
if (!function_exists(listfiles4signs))
{
    function listfiles4signs($dir)  {
        $values = array();
        $h = opendir($dir);
        while($file = readdir($h))  {
            if ($file != "." AND $file != ".." AND !is_dir($dir.$file))  {
                $values[]= $file;
            }
        }
        closedir($h);
        return $values;
    }
}

function echo_dbf($dbfname) { 
     $fdbf = fopen($dbfname,'r'); 
     $fields = array(); 
     $buf = fread($fdbf,32); 
     $header=unpack( "VRecordCount/vFirstRecord/vRecordLength", substr($buf,4,8)); 
     echo 'Header: '.json_encode($header).'<br/>'; 
     $goon = true; 
     $unpackString=''; 
     while ($goon && !feof($fdbf)) { // read fields: 
         $buf = fread($fdbf,32); 
         if (substr($buf,0,1)==chr(13)) {$goon=false;} // end of field list 
         else { 
             $field=unpack( "a11fieldname/A1fieldtype/Voffset/Cfieldlen/Cfielddec", substr($buf,0,18)); 
             echo 'Field: '.json_encode($field).'<br/>'; 
             $unpackString.="A$field[fieldlen]$field[fieldname]/"; 
             array_push($fields, $field);}} 
     fseek($fdbf, $header['FirstRecord']+1); // move back to the start of the first record (after the field definitions) 
     for ($i=1; $i<=$header['RecordCount']; $i++) { 
         $buf = fread($fdbf,$header['RecordLength']); 
         $record=unpack($unpackString,$buf); 
         echo 'record: '.json_encode($record).'<br/>'; 
         echo $i.$buf.'<br/>';} //raw record 
     fclose($fdbf); 
     } 
function read_dbf($dbfname) { 
     $dbase_data = array();
     $fdbf = fopen($dbfname,'r'); 
     $fields = array(); 
     $buf = fread($fdbf,32); 
     $header=unpack( "VRecordCount/vFirstRecord/vRecordLength", substr($buf,4,8)); 
     //echo 'Header: '.json_encode($header).'<br/>'; 
     $goon = true; 
     $unpackString=''; 
     while ($goon && !feof($fdbf)) { // read fields: 
         $buf = fread($fdbf,32); 
         if (substr($buf,0,1)==chr(13)) {$goon=false;} // end of field list 
         else { 
             $field=unpack( "a11fieldname/A1fieldtype/Voffset/Cfieldlen/Cfielddec", substr($buf,0,18)); 
             //echo 'Field: '.json_encode($field).'<br/>'; 
             $unpackString.="A$field[fieldlen]$field[fieldname]/"; 
             array_push($fields, $field);}} 
     fseek($fdbf, $header['FirstRecord']+1); // move back to the start of the first record (after the field definitions) 
     for ($i=1; $i<=$header['RecordCount']; $i++) { 
         $buf = fread($fdbf,$header['RecordLength']); 
         $record=unpack($unpackString,$buf); 
         $datarow_string = no_sonderzeichen(str_replace(array('{','}'),'',json_encode($record)));
         //echo $datarow_string.'<br />';
         $arraydatarow = explode(',',$datarow_string);
         foreach ($arraydatarow AS $datapart)  {
             $arraydatapart=explode(':',$datapart);
             $tabledata[str_replace('"','',$arraydatapart[0])][]=str_replace('"','',$arraydatapart[1]);
         }
     } 
     fclose($fdbf); 
     return $tabledata;
     } 

function no_sonderzeichen($string) {
    $string = preg_replace( 
        array( 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '//', 
            '/[^a-z0-9":,_\.-\s]/i' 
        ), 
        array( 
            'Ae', 
            'Oe', 
            'Ue', 
            'ss', 
            'ae', 
            'oe', 
            'ue', 
            'A', 
            'A', 
            'E', 
            'E', 
            'O', 
            'O', 
            'U', 
            'U', 
            'I', 
            'I', 
            'a', 
            'a', 
            'e', 
            'e', 
            'o', 
            'o', 
            'u', 
            'u', 
            'i', 
            'i', 
            '' 
        ), 
        $string 
    );
    return $string;
}
?>