<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Tables"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Release 4.0 / September 2013

*/

define('CPO', true);
require_once('../_include/common.inc.php');
header('content-type: text/comma-separated-values');
header("Content-Disposition: attachment; filename=".$_REQUEST['export'].".".$activeModules['Tabellen']['ext']);

// table export ********************************************************************

require_once(CPO_BASEDIR.$activeModules['Tabellen']['directory'].'/includes/inc_table_functions.inc.php');

// Tabelle auslesen
	$query = "SELECT id, name, table_fields, table_values FROM ".$dbPrefix."_mod_tables WHERE name = '".$_REQUEST['export']."'";
    //echo $query;
    DEBUG(2, $query, __FILE__, __LINE__);  
    $db = new DB;
    $db->query($query);
    if ($db->num_rows()>0)  {
		$db->next_record();
		$table_id = $db->v('id');
		$table_name = $db->v('name');
		$table_fields = unserialize($db->v('table_fields'));
		$table_values = unserialize($db->v('table_values'));
		// Sortierung
		if (isset($_GET['tbl_sort']) && isset($_GET['tbl_order']) && $_GET['tbl_id'] == $table_id) $table_values = SortArray($table_values,$_GET['tbl_sort'],$_GET['tbl_order']);
		// Multi-Sortierung
		if (isset($_GET['multisort']) && $_GET['tbl_id'] == $table_id)  {
			$multisort = explode("-",$_GET['multisort']);
			$table_values = SortArray($table_values,$multisort);
		}
		$spalten = count($table_fields[0]);
		if ($activeModules['Tabellen']['quotes']=='quote')		$quote = '"'; 
		if ($activeModules['Tabellen']['quotes']=='apostr')		$quote = "'"; 
		if ($activeModules['Tabellen']['quotes']=='none')		$quote = ''; 
		// die Tabelle erstellen
		for ($f=0;$f<count($table_fields[0]);$f++)  {
			// Header
			echo $quote;
			echo $table_fields[0][$f];
			echo $quote;
			if ($f == count($table_fields[0])-1)  {
				echo "\r\n";
			} else {
				if ($activeModules['Tabellen']['csv']=='semicolon')	echo ";"; 
				if ($activeModules['Tabellen']['csv']=='colon')		echo ","; 
				if ($activeModules['Tabellen']['csv']=='tab')		echo "\t"; 
			}
		}
		for ($f=0;$f<count($table_values);$f++)  {
			for ($s=0;$s<$spalten;$s++)  {
				// Werte
				echo $quote;
				echo imp2dec($table_values[$f][$s]);
				echo $quote;
				if ($s == $spalten-1)  {
					echo "\r\n";
				} else {
				if ($activeModules['Tabellen']['csv']=='semicolon')	echo ";"; 
				if ($activeModules['Tabellen']['csv']=='colon')		echo ","; 
				if ($activeModules['Tabellen']['csv']=='tab')		echo "\t"; 
				}
			}
		}
	} else {
		echo "Error getting table data!";
	}





?>